#ifndef DefaultOptions_h
#define DefaultOptions_h

// $Id: DefaultOptions.h,v 1.42 2014/01/12 18:36:25 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! default options installer
void installDefaultOptions( void )
{

    XmlOptions::get().setAutoDefault( true );

    // transparency options
    XmlOptions::get().set<int>( "SPACING", 5 );
    XmlOptions::get().set<int>( "MARGIN", 5 );

    XmlOptions::get().set<int>( "GRID", 1 );

    // normal (overwritten) options
    XmlOptions::get().set( "DEFAULT_ICON_PATH", Option( "/usr/share/icons" , "default icon path"  ) );

    // TODO: use highlight mode instead ?
    XmlOptions::get().set<bool>( "NO_HIGHLIGHT", false );
    XmlOptions::get().set<bool>( "HIGHLIGHT_ON_ENTER", false );
    XmlOptions::get().set<bool>( "HIGHLIGHT_ON_CLICK", false );

    XmlOptions::get().set<double>( "HIGHLIGHT_INTENSITY", 0.5 );
    XmlOptions::get().set<int>( "HIGHLIGHT_STEPS", 5 );
    XmlOptions::get().set<int>( "MAX_BUTTON_SIZE", 72 );
    XmlOptions::get().set<int>( "MIN_BUTTON_SIZE", 38 );
    XmlOptions::get().set<int>( "ZOOM_DELAY", 10 );

    XmlOptions::get().set<int>( "TOOLTIP_HEIGHT", 80 );
    XmlOptions::get().set<bool>( "SHOW_TOOLTIPS", true );

    // non recordable options
    XmlOptions::get().set( "RC_FILE", Option( File(".taskbarrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().set( "XML_FILE", Option( File(".taskbarrc").addPath( Util::home() ) ) );
    XmlOptions::get().setAutoDefault( false );

};

#endif
