#ifndef TaskDialog_h
#define TaskDialog_h

// $Id: TaskDialog.h,v 1.16 2014/02/10 11:08:16 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "TimeStamp.h"
#include "TaskAttributes.h"

#include <QCheckBox>
#include <QLayout>

class AnimatedLineEditor;
class TextEditor;
class BrowsedLineEditor;
class BrowseIconButton;

//! task information editor dialog
class TaskDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    TaskDialog( QWidget* parent );

    //! destructor
    virtual ~TaskDialog( void )
    {}

    //! set attributes
    TaskDialog& setAttributes( const TaskAttributes& );

    //! retrieve attributes
    const TaskAttributes& attributes( void );

    private:

    //! layout
    QVBoxLayout* informationLayout_;

    //! associated TaskAttributes
    TaskAttributes attributes_;

    //! name editor
    AnimatedLineEditor* nameEditor_;

    //! comments editor
    TextEditor* commentsEditor_;

    //! command editor
    BrowsedLineEditor* commandEditor_;

    //! icon editor
    BrowseIconButton* iconEdit_;

    //! show name checkbox
    QCheckBox* showNameCheckbox_;

};

#endif
